Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class RegexIterator

    java.lang.Object
      net.sf.saxon.instruct.RegexIterator

All Implemented Interfaces:
  SequenceIterator

public class RegexIterator
extends java.lang.Object
implements SequenceIterator

Class RegexIterator - provides an iterator over matched and unmatched substrings

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`RegexIterator(java.lang.String string, java.util.regex.Pattern pattern)` Construct a RegexIterator.

Method Summary
`Item` | `current()` Get the current item in the sequence
`SequenceIterator` | `getAnother()` Get another iterator over the same items
`int` | `getProperties()` Get properties of this iterator, as a bit-significant integer.
`java.lang.String` | `getRegexGroup(int number)` Get a substring that matches a parenthesised group within the regular expression
`SequenceIterator` | `getRegexGroupIterator()` Get a sequence containing all the regex groups (except group 0, because we want to use indexing from 1).
`boolean` | `isMatching()` Determine whether the current item is a matching item or a non-matching item
`Item` | `next()` Get the next item in the sequence
`int` | `position()` Get the position of the current item in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexIterator

    public RegexIterator(java.lang.String string,
                         java.util.regex.Pattern pattern)

  Construct a RegexIterator. Note that the underlying matcher.find() method is called once to obtain each matching substring. But the iterator also returns non-matching substrings if these appear between the matching substrings.

Parameters:
  `string` - the string to be analysed
  `pattern` - the regular expression

Method Detail

### next

    public Item next()

  Get the next item in the sequence

  Specified by:
    `next` in interface `SequenceIterator`
  Returns:
    the next item in the sequence

### current

    public Item current()

  Get the current item in the sequence

  Specified by:
    `current` in interface `SequenceIterator`
  Returns:
    the item most recently returned by next()

### position

    public int position()

  Get the position of the current item in the sequence

  Specified by:
    `position` in interface `SequenceIterator`
  Returns:
    the position of the item most recently returned by next(), starting at 1

### getAnother

    public SequenceIterator getAnother()

  Get another iterator over the same items

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Returns:
    a new iterator, positioned before the first item

### getProperties

    public int getProperties()

  Get properties of this iterator, as a bit-significant integer.

  Specified by:
    `getProperties` in interface `SequenceIterator`
  Returns:
    the properties of this iterator. This will be some combination of properties such as `GROUNDED`, `LAST_POSITION_FINDER`, and `LOOKAHEAD`. It is always acceptable to return the value zero, indicating that there are no known special properties. It is acceptable for the properties of the iterator to change depending on its state.

### isMatching

    public boolean isMatching()

  Determine whether the current item is a matching item or a non-matching item

  Returns:
    true if the current item (the one most recently returned by next()) is an item that matches the regular expression, or false if it is an item that does not match

### getRegexGroup

    public java.lang.String getRegexGroup(int number)

  Get a substring that matches a parenthesised group within the regular expression

  Parameters:
    `number` - the number of the group to be obtained
  Returns:
    the substring of the current item that matches the n'th parenthesized group within the regular expression

### getRegexGroupIterator

    public SequenceIterator getRegexGroupIterator()

  Get a sequence containing all the regex groups (except group 0, because we want to use indexing from 1). This is used by the saxon:analyze-string() higher-order extension function.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD